<?php
  /* Program: ChoosePetCat.php
   * Desc:    Allows users to select a pet type. All the 
   *          existing pet types from the PetType table 
   *          are displayed. A section to enter a new 
   *          pet type is provided. Selections are 
   *          provided as radio buttons, with text 
   *          fields for new category name and 
   *          description. 
   */
?>
<html>
<head><title>Pet Types</title></head>
<body>
<?php
  include("misc.inc");
  $cxn = mysqli_connect($host,$user,$passwd,$dbname)
         or die ("couldn't connect to server");

  /*gets types from PetType table in alphabetical order*/
  $query="SELECT petType FROM PetType 
                         ORDER BY petType";            #22
  $result = mysqli_query($cxn,$query)
            or die ("Couldn't execute query.");

  /* Display text before form */
  echo "<div style='margin-left: .1in'>
     <h3>Select a category for the pet you're adding.</h3>
         If you are adding a pet in a category that is not 
         listed, choose <b>New Category</b> and type the 
         Nme and description of the category. Press  
         <b>Submit Category</b> when you have finished  
         selecting an existing category or typing a new 
         category.\n";

  /* Display form for selecting pet type */
  echo "<p><form action='ChoosePetName.php' 
                 method='POST'></p>\n";
  $counter=0;
  while($row = mysqli_fetch_assoc($result))            #40
  {
     extract($row);
     echo "<input type='radio' name='category' 
	              value='$petType'";
              if($counter == 0)                        #45
              { 
                 echo "checked";
              }
     echo ">$petType</td>\n";                          #49
     $counter++;                                       #50
  }

  include("NewCat_table.inc");                         #53

  echo "<input type='submit' value='Submit Category'>\n";
  echo "</form>\n";
?>
</div>
</body></html>
