<?php
/*  Program name: checkBlank.php
 *  Description:  Program checks all the form fields for
 *                blank fields.
 */
?>
<html>
<head><title>Empty fields</title></head>
<body>
<?php
  /* set up array with all the fields */
  $labels = array ( "first_name" => "First Name",
                    "middle_name" => "Middle Name",
                    "last_name" => "Last Name",
                    "phone" => "Phone");
  /* check each field except middle name for 
     blank fields */
  foreach ($_POST as $field => $value)
  {
    if($field != "middle_name")
    {
      if( $value == "" )
      {
         $blank_array[] = $field;
      }  
    }
  }  // end of foreach loop for $_POST
  /* if any fields were blank, display error message and 
     redisplay form */
  if(@sizeof($blank_array) > 0) //blank fields are found
  {
    echo "<b>You didn't fill in one or more required 
	         fields. You must enter:</b><br>";
    /* display list of missing information */
    foreach($blank_array as $value)
    {
      echo "&nbsp;&nbsp;&nbsp;{$labels[$value]}<br>";
    } 
    /* redisplay form */
    echo "<p>";
	echo "<form action='$_SERVER[PHP_SELF]' method='POST'>
          <table>";
    foreach($labels as $field => $label)
    {
      $good_data[$field]=strip_tags(trim($_POST[$field]));
      echo "<tr>
             <td style='text-align: right; font-weight: bold'>
                 {$labels[$field]}</td>
             <td><input type='text' name='$field' size='65'
                 maxlength='65' value='$good_data[$field]'></td>
            </tr>";
    }
    echo "<tr>
           <td colspan='2' style='text-align: center'>
             <input type='submit' value='Submit Name and Phone Number'>";
    echo "</td></tr></table>
          </form>";
    exit();
  }
  echo "All required fields contain information";
?>
</body></html>
