<?php
  /* Program: AddPet.php
   * Desc:    Adds new pet to the database. A confirmation
   *          screen is sent to the user.
   */

  if (@$_POST['newbutton'] == "Cancel")                # 7
  {
     header("Location: ChoosePetCat.php");
  }
  
  include("misc.inc");                                 #12
  $cxn = mysqli_connect($host,$user,$passwd,$dbname)
         or die ("Couldn't connect to server");

  foreach($_POST as $field => $value)                  #16
  {
     if($field != "newName" and $field != "newbutton" 
	      and $field != "petColor")                    #19
	 {
       if($field == "petName")                         #21
	   {
          if($value == "new")                          #23
          {
             if($_POST['newName'] == "")               #25
             {
                include("NewName_form.inc");
                exit();
             }
             else                                      #30
             {
                $value=$_POST['newName'];
             }
          }
       }
       if($field == "category")                        #36
       {
          $field = "petType";
       }
	   if(!empty($value))                              #40
	   {
	     $fields_form[$field] = 
		    ucfirst(strtolower(strip_tags(trim($value))));
         $fields_form[$field] =
		    mysqli_real_escape_string($cxn,
			    $fields_form[$field]);
       }
	   if(!empty($_POST['petColor']))                  #48
	   {
	     $petColor = strip_tags(trim($_POST['petColor']));
         $petColor = ucfirst(strtolower($petColor));
         $petColor = 
		      mysqli_real_escape_string($cxn,$petColor);
	   }
    }
  }
?>
<html>
<head><title>Add Pet</title></head>
<body>
<?php
  $field_array = array_keys($fields_form);             #62
  $fields=implode(",",$field_array);
  $values=implode('","',$fields_form);
  $query = "INSERT INTO Pet ($fields) 
                            VALUES (\"$values\")";     #66
  $result = mysqli_query($cxn,$query)
       or die ("Couldn't execute query.");

  $petID = mysqli_insert_id($cxn);                     #70
  $query = "SELECT * from Pet WHERE petID='$petID'";   #71
  $result = mysqli_query($cxn,$query)
       or die ("Couldn't execute query.");
  $row = mysqli_fetch_assoc($result);
  extract($row);
  $category=$petType;                         
  echo "The following pet has been added to the 
        Pet Catalog:<br> 
        <ul>
         <li>Category: $category
         <li>Pet Name: $petName
         <li>Pet Description: $petDescription
         <li>Price: $price
         <li>Picture file: $pix \n";

  if (@$petColor != "")                                #86
  {
     $query = "SELECT petName FROM Color 
                     WHERE petName='$petName' 
                     AND petColor='$petColor'";
     $result = mysqli_query($cxn,$query)
               or die("Couldn't execute query.");
     $num = mysqli_num_rows($result);
     if ($num < 1)
     {
       $query = "INSERT INTO Color (petName,petColor,pix) 
                 VALUES ('$petName','$petColor','$pix')";
       $result = mysqli_query($cxn,$query)
                 or die("Couldn't execute query.");
       echo "<li>Color: $petColor\n";
     }
  }                                                   #102
  echo "</ul>";
  echo "<a href='ChoosePetCat.php'>Add Another Pet</a>\n";
?>
</body></html>
