<?php
 /* Program: ChoosePetName.php
  * Desc:    Allows the user to enter the information for
  *          the pet. First, the program checks for and 
  *          enters a new category into the petType
  *          table. Then, all pets in the selected
  *          category are displayed with radio buttons.
  *          The user can enter a new name. Fields are 
  *          provided to enter the description, price,
  *          and picture file name. 
  */

 if (@$_POST['newbutton'] == "Return to category page"
     or @$_POST['newbutton'] == "Cancel")              #14
 {
    header("Location: ChoosePetCat.php");
 }
 
 echo "<html>
       <head><title>Add Pet</title></head>
       <body>";
 include("misc.inc");
 include("functions.inc");

 $cxn = mysqli_connect($host,$user,$passwd,$dbname)
        or die ("Couldn't connect to server");

 $category = $_POST['category'];
 /* If new was selected for pet category, check if text
    fields were filled in. If not, display again for the
    user to enter the category name and category
    description. When the fields are filled in, store
    the new category in the PetType table.*/
 if($category == "new")                                #34
 {
   if ($_POST['newCat'] == "" 
                     or $_POST['newDesc'] == "")       #37
   {
      include("NewCat_form.inc");                      #39
      exit();                                          #40
   }
     /* add new pet type to PetType table */
   else                                                #43
   {
      addNewType($_POST['newCat'],$_POST['newDesc'],$cxn);
      $category = trim($_POST['newCat']);              #46 
   }
 }                                                     #48

  /* Select pet names from table with given category. If 
     user entered a new category, it is searched for. */
 $query = "SELECT DISTINCT petName FROM Pet
                  WHERE petType='$category' 
                  ORDER BY petName";                   #54
 $result = mysqli_query($cxn,$query)
           or die("Couldn't execute select query");
 $nrow = mysqli_num_rows($result);                     #57

  /* create form */
 echo "<div style='margin-left: .1in'>";
 echo "<form action='AddPet.php' method='POST'>\n";
 echo "<h4>Pet Name</h4>\n";
 if($nrow < 1)                                         #63
 {
   echo "<hr /><b>No pet names are currently in the 
         database for the category $category</b><hr />\n";
 } 
 else                                                  #68
 {
   while($row = mysqli_fetch_assoc($result))           #70
   {
      extract($row);
      echo "<input type='radio' name='petName' 
                   value='$petName'";
      echo ">$petName\n";
   }
 }
 include ("NewName_table.inc");                        #78
  
 $petDescription="";$price = "";$pix = "";$petColor = "";
 include("PetInfo_table.inc");                         #81

 echo "<input type='hidden' name='category' 
              value='$category'>\n"; 
 echo "<p><input type='submit' value='Submit Pet Name'>
     <input type='submit' name='newbutton' value='Cancel'>
     </form>\n";
?>
</div>
</body></html>
