<?php
 /* File: login_form.inc
  * Desc: Displays login page. Page displays two forms: 
  *       one form for entering an existing login name
  *       and password and another form for the 
  *       information needed to apply for a new account.
*/
include("function12.inc");                             # 8
?>
<html>
<head>
<title>Members Only Login</title>
<style type="text/css"><!--
  .bold_right {font-weight: bold; text-align: right;}
  .gray_banner { font-weight: bold; color: white; 
                 background-color: gray; 
                 text-align: center; font-size: 3em;}
  .bold_large {font-size: 1.1em; font-weight: bold;}
--></style>
</head>
<body style="margin: 0">
<table border="0" cellpadding="5" cellspacing="0">
   <tr><td colspan="3" class="gray_banner">
        Members Only Section</td></tr>
   <tr><td width="33%" valign="top" class="bold_large">
         Are you a member?
         <!-- form for Member login -->
         <form action="Login.php" method="POST"> 
         <p><table border="0">
<?php                                                  #30
            if (isset($message))
            {
               echo "<tr><td style='color: red' 
                 colspan='2' >$message <br /></td></tr>";
            }
?>
           <tr><td class="bold_right">Username</td>
               <td><input type="text" name="fusername" 
                      size="20" maxsize="20"></td></tr>
           <tr><td class="bold_right">Password</td>
               <td><input type="password" name="fpassword" 
                      size="20" maxsize="20"></td></tr>
                <input type="hidden" name="do" 
                                     value="login">
           <tr><td style="text-align: center" colspan="2">
                <br /><input type="submit" name="log" 
                             value="Enter"></td></tr>
         </table>
         </form>
       </td>
       <td style="width: 1; background-color: gray"></td>
       <td style="width: 67%"><p>
         <span class="bold_large">Not a member yet?</span> 
           Get discounts, a newsletter, advance notice 
           of new pets, much more. Fill in the information
           below and join. It's easy and free!</p>
        <!-- form for new member to fill in -->
        <form action="Login.php" method="POST"> 
         <table border="0" width="100%">
<?php                                                  #60
            if (isset($message_new))
            {       
               echo "<tr><td style='color: red; 
			              font-weight: bold' colspan='2'>
                          <p>$message_new</p></td></tr>";
            }
?>
           <tr><td class="bold_right">Member ID</td>
               <td><input type="text" name="loginName" 
                      value="<?php echo @$loginName ?>" 
                      size="20" maxlength="20"></td></tr>
           <tr><td class="bold_right">Password</td>
               <td><input type="password" name="password" 
                      value="<?php echo @$password ?>" 
                      size="10" maxlength="8"></td></tr>
           <tr><td class="bold_right">First Name</td>
               <td><input type="text" name="firstName" 
                      value="<?php echo @$firstName ?>"
                      size="40" maxlength="40"></td></tr>
           <tr><td class="bold_right">Last Name</td>
               <td><input type="text" name="lastName" 
                      value="<?php echo @$lastName ?>"
                      size="40" maxlength="40"></td></tr>
           <tr><td class="bold_right">Street</td>
               <td><input type="text" name="street" 
                      value="<?php echo @$street ?>"
                      size="55" maxlength="50"></td></tr>
           <tr><td class="bold_right">City</td>
               <td><input type="text" name="city" 
                      value="<?php echo @$city ?>"
                      size="40" maxlength="40"></td></tr>
           <tr><td class="bold_right">State</td>
               <td><select name="state"> 
<?php
                   $stateName=getStateName();         #95
                   $stateCode=getStateCode();         #96
                   for ($n=1;$n<=50;$n++)  
                   {
                      $state=$stateName[$n];
                      $scode=$stateCode[$n];
                      echo "<option value='$scode'";
                      if ($scode== "AL") 
                          echo " selected";
                      echo ">$state\n";
                   }
?>
                  </select>
                  &nbsp;&nbsp;&nbsp;&nbsp;<b>Zip</b>
                  <input type="text" name="zip" 
                      value="<?php echo @$zip ?>"
                      size="10" maxsize="10">
               </td></tr>
           <tr><td class="bold_right">Phone</td>
               <td><input type="text" name="phone" 
                      value="<?php echo @$phone ?>" 
                      size="15" maxlength="20">
                   &nbsp;&nbsp;&nbsp;<b>Fax</b>
                   <input type="text" name="fax" 
                      value="<?php echo @$fax ?>"
                      size="15" maxlength="20"></td></tr>
           <tr><td class="bold_right">Email Address</td>
               <td><input type="text" name="email" 
                      value="<?php echo @$email ?>"
                      size="55" maxlength="67"></td></tr>
              <input type="hidden" name="do" value="new">
           <tr><td>&nbsp;</td>
               <td style="text-align: center">
                   <input type="submit" 
                      value="Become a Member"></td>
           </tr>
         </table>
        </form>
       </td>
   </tr>
   <tr><td colspan="3" 
           style="background-color: gray">&nbsp;</td></tr>
</table>
<div style="text-align: center; font-size: .8em">
    All comments and suggestions are appreciated. Please
    send comments to <a href="mailto:webmaster@petstore.com">
    webmaster@petstore.com</a></div>
</body></html>
